package com.yiqi.common.enums;

/**
 * @author xiaohei
 * @date 2023/12/14
 */
public enum CouponSourceEnum implements CodeEnum {
    //优惠券来源 systemSend 系统发放;  activeSend 手动发放； activitySend 活动发放
    SYSTEM_SEND("systemSend", "系统发放"),
    ACTIVE_SEND("activeSend", "手动发放"),
    ACTIVITY_SEND("activitySend", "活动发放")
    ;

    private final String code;
    private final String info;

    CouponSourceEnum(String code, String info) {
        this.code = code;
        this.info = info;
    }

    @Override
    public String getCode() {
        return code;
    }

    public String getInfo() {
        return info;
    }
}
